sk_eat_skb
Prev | Socket Buffer Functions | Next

## Name

sk_eat_skb — Release a skb if it is no longer needed

## Synopsis

`void sk_eat_skb (` | struct sock * | sk,
| struct sk_buff * | skb,
| int | copied_early`)`;

## Arguments

`sk`

  socket to eat this skb from

`skb`

  socket buffer to eat

`copied_early`

  flag indicating whether DMA operations copied this data early

## Description

This routine must be called with interrupts disabled or with the socket locked so that the sk_buff queue operation is ok.

Prev | Up | Next
sk_filter_release | Home | move_addr_to_kernel